GuideLab API

List labs with access to a patient

List labs with effective access through either an explicit live grant or the active partnership's share-all-patients policy. Clinic only - the patient must belong to the current clinic.

GET
/patients/{id}/lab-access

List labs with effective access through either an explicit live grant or the active partnership's share-all-patients policy. Clinic only - the patient must belong to the current clinic.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Patient ID

Response Body

application/json

curl -X GET "https://example.com/patients/550e8400-e29b-41d4-a716-446655440000/lab-access"
{  "labs": [    {      "labId": "string",      "labName": "string",      "grantedAt": null,      "accessSource": "explicit",      "grantSource": "manual",      "sourceOrderId": "string"    }  ]}
Empty
Empty
Empty
Empty